## python-ete3 3.1.3+dfsg

=== ete3/ncbi_taxonomy/SQLite-Levenshtein/Makefile ===
CC = gcc

levenshtein.sqlext: src/levenshtein.c
	$(CC) -Wall -shared -fPIC -Isqlite3 -o levenshtein.sqlext src/levenshtein.c

clean:
	rm levenshtein.sqlext

## python-ete3 3.1.1+dfsg

=== debian/changelog ===
python-ete3 (3.1.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add missing Depends

 -- Andreas Tille <tille@debian.org>  Thu, 16 Jul 2020 14:08:06 +0200

python-ete3 (3.1.1+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #861182, #963732)

 -- zhao feng <zhaofengshu33@gmail.com>  Sun, 05 Jul 2020 12:18:02 +0200

=== debian/control ===
Source: python-ete3
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Alba Crespi <crespialba+debian@gmail.com>,
           zhao feng <zhaofengshu33@gmail.com>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-numpy,
               python3-lxml,
               python3-qt-binding,
               python3-pyqt5.qtopengl,
               python3-pyqt5.qtsvg,
               python3-scipy,
               python3-six,
               python3-skbio,
               python3-pytest
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/med-team/python-ete3
Vcs-Git: https://salsa.debian.org/med-team/python-ete3.git
Homepage: http://etetoolkit.org
Rules-Requires-Root: no

Package: python3-ete3
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-six
Recommends: ${python3:Recommends}
            python3-numpy,
            python3-lxml,
            python3-qt-binding,
            python3-pyqt5.qtopengl,
            python3-pyqt5.qtsvg,
            python3-scipy,
            python3-skbio
Suggests: ${python3:Suggests}
Description: Python Environment for (phylogenetic) Tree Exploration - Python 3.X
 The Environment for Tree Exploration (ETE) is a Python programming
 toolkit that assists in the recontruction, manipulation, analysis and
 visualization of phylogenetic trees (although clustering trees or any
 other tree-like data structure are also supported).
 .
 ETE is currently developed as a tool for researchers working in
 phylogenetics and genomics. If you use ETE for a published work,
 please cite:
 .
 Visit http://etetoolkit.org for more info.

=== debian/rules ===
#! /usr/bin/make -f

export PYBUILD_NAME=ete3

#export PYBUILD_TEST_ARGS_python2=-k-XTest_ncbiquery
#export PYBUILD_TEST_ARGS_python3=-k-XTest_ncbiquery

%:
	dh $@ --with python3 --buildsystem=pybuild
override_dh_auto_install:
	dh_auto_install -O--buildsystem=pybuild
	rm -r debian/python3-ete3/usr/bin
	rm -r debian/python3-ete3/usr/ete3
override_dh_fixperms:
	dh_fixperms
	find debian -name 'webapp.py' -exec chmod a-x {} +
export PYBUILD_TEST_PYTEST = 1
# external library missing
EXCLUDE_TESTS = not test_ncbiquery
# no network skip
EXCLUDE_TESTS += and not test_ncbi_compare and not test_get_topology
EXCLUDE_TESTS += and not test_01tree_annotation and not test_00_update_database
EXCLUDE_TESTS += and not test_renderer
# test launch file used by upstream continuous integration
export PYBUILD_TEST_ARGS_python3 = -k "$(EXCLUDE_TESTS)" ete3/test/test_api.py

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	# link to examples
	find .pybuild -name build -type d -exec ln -s $(CURDIR)/examples \{\} \;
	dh_auto_test
endif

## python-ete3 3.1.2+dfsg

=== debian/changelog ===
python-ete3 (3.1.2+dfsg-3) unstable; urgency=medium

  * Team upload.

  [ Jochen Sprickerhof ]
  * Drop unused (Build-)Dependency python3-qt-binding

  [ Andreas Tille ]
  * Exclude i386 from CI since Build-Depends python3-skbio is not available
    on i386
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 28 Oct 2021 07:24:27 +0200

python-ete3 (3.1.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Moved python3-numpy from Recommends to Depends.  (Closes: #972983)
  * Restored ete3/tools:
    - it allowed autodep8 autopkgtest to succeed,
    - pmodeltest_executable.patch wrapped up to address the reintroduced
      executable not ELF nor script.
  * Added repository information to upstream/metadata.
  * Set upstream metadata fields: Bug-Submit.

 -- Étienne Mollier <etienne.mollier@mailoo.org>  Wed, 04 Nov 2020 19:21:18 +0100

python-ete3 (3.1.2+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * New upstream version
  * Update copyright

  [ zhao feng ]
  * Exclude test test_merged_id

 -- Andreas Tille <tille@debian.org>  Wed, 30 Sep 2020 08:46:10 +0200

=== debian/control ===
--- 
+++ 
@@ -11,14 +11,13 @@
                python3-setuptools,
                python3-numpy,
                python3-lxml,
-               python3-qt-binding,
                python3-pyqt5.qtopengl,
                python3-pyqt5.qtsvg,
                python3-scipy,
                python3-six,
                python3-skbio,
                python3-pytest
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-ete3
 Vcs-Git: https://salsa.debian.org/med-team/python-ete3.git
 Homepage: http://etetoolkit.org
@@ -29,11 +28,10 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
+         python3-numpy,
          python3-six
 Recommends: ${python3:Recommends}
-            python3-numpy,
             python3-lxml,
-            python3-qt-binding,
             python3-pyqt5.qtopengl,
             python3-pyqt5.qtsvg,
             python3-scipy,

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # no network skip
 EXCLUDE_TESTS += and not test_ncbi_compare and not test_get_topology
 EXCLUDE_TESTS += and not test_01tree_annotation and not test_00_update_database
-EXCLUDE_TESTS += and not test_renderer
+EXCLUDE_TESTS += and not test_merged_id and not test_renderer
 # test launch file used by upstream continuous integration
 export PYBUILD_TEST_ARGS_python3 = -k "$(EXCLUDE_TESTS)" ete3/test/test_api.py

## python-ete3 3.1.3+dfsg

=== debian/changelog ===
python-ete3 (3.1.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * python3.13.patch: new: fix test failure with Python 3.13.
    (Closes: #1082310)
  * fix-warnings.patch: new: fix a sprawl of SyntaxWarnings.
  * d/s/lintian-overrides: fix false positive source missing.
  * d/control: declare compliance to standards version 4.7.0.

 -- Étienne Mollier <emollier@debian.org>  Sat, 21 Sep 2024 15:13:21 +0200

python-ete3 (3.1.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * python3.12.patch: new: fix test failures. (Closes: #1058334)

 -- Étienne Mollier <emollier@debian.org>  Thu, 14 Dec 2023 18:33:02 +0100

python-ete3 (3.1.3+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Nov 2023 11:26:38 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
                python3-setuptools,
                python3-numpy,
@@ -17,7 +17,7 @@
                python3-six,
                python3-skbio,
                python3-pytest
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-ete3
 Vcs-Git: https://salsa.debian.org/med-team/python-ete3.git
 Homepage: http://etetoolkit.org

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #export PYBUILD_TEST_ARGS_python3=-k-XTest_ncbiquery
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 override_dh_auto_install:
 	dh_auto_install -O--buildsystem=pybuild
 	rm -r debian/python3-ete3/usr/bin
